## NAME

db.dropcol - Drops a column from selected attribute table

## KEYWORDS

database, attribute table

## SYNOPSIS

db.dropcol
db.dropcol help
db.dropcol [-f] table=name column=string [--verbose] [--quiet]

### Flags:

-f
  Force removal (required for actual deletion of files)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

table=name
  Table from which to drop attribute column
column=string
  Name of the column

## DESCRIPTION

db.dropcol drops a column from an attribute table. If the -f force flag is not given then nothing is removed, instead a preview of the action to be taken is printed.

## NOTES

db.dropcol is a front-end to db.execute to allow easier usage with a special workaround for the SQLite driver to support column drop.

## EXAMPLES

Dropping a column (Spearfish):

    # work on own copy
    g.copy vect=roads,myroads
    db.describe -c myroads

    # only shows what would happen:
    db.dropcol myroads column=label

    # actually drops the column
    db.dropcol -f myroads column=label

    db.describe -c myroads

## SEE ALSO

db.droptable, db.execute, v.db.dropcol

## AUTHOR

Markus Neteler

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team